All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.actionprovider.strategies.olap
Class BaseTitleStrategy

    com.sas.actionprovider.strategies.olap.BaseTitleStrategy

All Implemented Interfaces:
  ActionStatusKeysInterface, ActionStrategyInterface

Direct Known Subclasses:
  ClearLevelLabelSortStrategy, CollapseAllStrategy, DrillUpStrategy, ExpandAllStrategy, LevelLabelAscendingSortStrategy, LevelLabelDescendingSortStrategy, MoveInStrategyTitleCell, MoveLabelStrategyTitleCell, MoveOutStrategyTitleCell, MoveStrategyTitleCell

    public abstract class BaseTitleStrategy

Field Summary
`static java.lang.String` | `AREA_VALUE`
`static java.lang.String` | `AXIS`
`static java.lang.String` | `AXIS_INDEX`
`static java.lang.String` | `AXIS_LABEL`
`static java.lang.String` | `IS_MEASURE`
`static java.lang.String` | `LEVEL_LABEL`
`static java.lang.String` | `UNIQUE_LEVEL_NAME`

Fields inherited from class com.sas.actionprovider.strategies.olap.BaseOLAPStrategy
`MODEL, TABLE`

Fields inherited from class com.sas.actionprovider.strategies.BaseActionStrategy
`TEMPLATE_DELIMITER`

Fields inherited from interface com.sas.actionprovider.ActionStatusKeysInterface
`AREA_DISABLED, DISABLED, ENABLED, IS_CURRENT_STATE_DISABLED, MODEL_MEMBER_DISABLED, MODEL_STATE_DISABLED, MODEL_TYPE_DISABLED, UNSUPPORTED, VIEWER_DISABLED`

Constructor Summary
`BaseTitleStrategy()` Default constructor.
`BaseTitleStrategy(boolean swing, OLAPActionUtil util)` Constructor for specifying type ( swing/http ) of strategy object.

Method Summary
`int` | `getActionStatus(BaseAction action, ActionSupportFilter filter)` Returns a status value indicating whether the Action is enabled for a specific area as described by various filter attributes.
`protected void` | `initialize()` Initialize this strategy object.
`protected void` | `initializeActionAttributes(BaseAction action, java.lang.String areaType, java.util.Locale locale)` Initializes an Action with all its default attributes, default AttributeDescriptor property settings and default values for non-locale-dependent attributes.

Methods inherited from class com.sas.actionprovider.strategies.olap.BaseOLAPStrategy
`addDynamicValueInfo, setUtilObject`

Methods inherited from class com.sas.actionprovider.strategies.BaseActionStrategy
`addDynamicValueInfo, addDynamicValueInfo, getCustomAttributeValue, getDynamicValue, getUtilObject, initializeAction, isSwing, setActionAttributes, setLocaleDependentDefaultAttributes, setSwing`

Field Detail

### UNIQUE_LEVEL_NAME

    public static final java.lang.String UNIQUE_LEVEL_NAME

See Also:
  Constant Field Values

### AXIS_LABEL

    public static final java.lang.String AXIS_LABEL

See Also:
  Constant Field Values

### AXIS

    public static final java.lang.String AXIS

See Also:
  Constant Field Values

### IS_MEASURE

    public static final java.lang.String IS_MEASURE

See Also:
  Constant Field Values

### LEVEL_LABEL

    public static final java.lang.String LEVEL_LABEL

See Also:
  Constant Field Values

### AXIS_INDEX

    public static final java.lang.String AXIS_INDEX

See Also:
  Constant Field Values

### AREA_VALUE

    public static final java.lang.String AREA_VALUE

See Also:
  Constant Field Values

Constructor Detail

### BaseTitleStrategy

    public BaseTitleStrategy()

  Default constructor. Calls the other constructor for specifying strategy type.

### BaseTitleStrategy

    public BaseTitleStrategy(boolean swing,
                             OLAPActionUtil util)

  Constructor for specifying type ( swing/http ) of strategy object.

  Parameters:
    `swing` - boolean indicating whether the strategy will be used in a swing environment. If false, the strategy is http type.

Method Detail

### initializeActionAttributes

    protected void initializeActionAttributes(BaseAction action,
                                              java.lang.String areaType,
                                              java.util.Locale locale)

  Description copied from class: `BaseActionStrategy`

  Initializes an Action with all its default attributes, default AttributeDescriptor property settings and default values for non-locale-dependent attributes. values.

  This base implementation does nothing to the Action.

  Overrides:
    `initializeActionAttributes` in class `BaseOLAPModelStrategy`
  Parameters:
    `action` - The instance of the Action to be initialized.
    `areaType` - The areaType of the Viewer where the Action will be presented.
    `locale` - The locale

### initialize

    protected void initialize()

  Description copied from class: `BaseOLAPStrategy`

  Initialize this strategy object.

  Via the `BaseOLAPStrategy.addDynamicValueInfo(java.lang.String, java.lang.String, java.lang.String)` method, this method registers the information for dynamic values that are available in all OLAP areas:

  - `com.sas.actionprovider.strategies.olap.OLAPDynamicValueKeys#MODEL`
  - `com.sas.actionprovider.strategies.olap.OLAPDynamicValueKeys#TABLE`

  Overrides:
    `initialize` in class `BaseOLAPStrategy`
  See Also:
    `#setReturnStatus`

### getActionStatus

    public int getActionStatus(BaseAction action,
                               ActionSupportFilter filter)

  Returns a status value indicating whether the Action is enabled for a specific area as described by various filter attributes.

  If enabled, the value is: ``ActionStatusKeysInterface.ENABLED``

  If disabled, the value may be one of the following values which indicate why the Action is disabled.

  - ``ActionStatusKeysInterface.AREA_DISABLED``

  Specified by:
    `getActionStatus` in interface `ActionStrategyInterface`
  Overrides:
    `getActionStatus` in class `BaseActionStrategy`
  Parameters:
    `action` - The action for which status is to be determined.
    `filter` - The ActionSupportFilter that encapsulates all information describing the specific area.
  Returns:
    the boolean indicating whether the Action is enabled
  See Also:
    `CommandSupportedInterface`, `CommandStatusInterface`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.